Page MenuHomePhabricator

[WebAssembly] Add triple support for the new wasm object format
ClosedPublic

Authored by sunfish on Nov 15 2016, 2:29 PM.

Details

Summary

The WebAssembly target is transitioning from ELF to a new binary object file format, for example in https://reviews.llvm.org/D26172 and so on. The patch here adds Triple support for this new format, in preparation for adding MC support.

Diff Detail

Repository
rL LLVM

Event Timeline

sunfish updated this revision to Diff 78076.Nov 15 2016, 2:29 PM
sunfish retitled this revision from to [WebAssembly] Add triple support for the new wasm object format.
sunfish updated this object.
sunfish set the repository for this revision to rL LLVM.
sunfish added subscribers: dschuff, jgravelle-google, sbc100 and 2 others.
sunfish updated this revision to Diff 80194.Dec 3 2016, 4:38 PM
  • rebase on trunk
  • move the default object format for wasm32 and wasm64 back to ELF for now (it can be overridden by an explicit triple)

Needs some tests?

sunfish updated this revision to Diff 84717.Jan 17 2017, 12:08 PM
  • Add tests.
sunfish updated this revision to Diff 84718.Jan 17 2017, 12:10 PM
  • Fix accidentally deleted line in previous patch.

Needs some tests?

Quite so. Added.

echristo accepted this revision.Jan 17 2017, 12:12 PM

I'm not quite sure why you need a new object format, but the patch is OK :)

-eric

This revision is now accepted and ready to land.Jan 17 2017, 12:12 PM
This revision was automatically updated to reflect the committed changes.